1. Docs
  2. API Reference
  3. List the operational capabilities a role may grant

List the operational capabilities a role may grant

GET/portal/v1/accounts/{accountSlug}/admin-roles/capabilities

Authentication

Bearer TokenAuthorization

JWT access token. Never send alongside X-API-Key: a request carrying both is refused.

Query Parameters

include_owner_onlystring Optional

Responses

application/json

  • itemsAdminCapabilityDto[]*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

Returned object

Request
curl -X GET "https://auth.canopy-io.com/portal/v1/accounts/{accountSlug}/admin-roles/capabilities?include_owner_only=value" \
  -H "Authorization: Bearer $CANOPY_TOKEN"
Response
{
  "items": [
    {
      "key": "string",
      "description": "string",
      "category": "string",
      "product": "console",
      "scope": "account",
      "ownerOnly": false
    }
  ]
}
Related endpoints
GETList operational-administrator roles for the Account
POSTCreate an operational-administrator role
GETGet an operational-administrator role
PATCHUpdate an operational-administrator role
DELETEDelete an administrator role
GETList the identity roles an administrator role may grant in an Environment
PUTSet the identity roles an administrator role may grant in an Environment
Was this page helpful?

Tell us how we can improve this guide.